﻿namespace HealthMonitor.Core.Pipeline
{
    public interface IPipeline<T> where T : class
    {
        /// <summary>
        /// 添加管道阀门
        /// </summary>
        /// <param name="v"></param>
        void AddValue(IValue<T> v);

        /// <summary>
        /// 启动管道
        /// </summary>
        /// <param name="context"></param>
        Task Start(T context);
    }
}
